Bug 20903 - can't install dev86
Summary: can't install dev86
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: dev86   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-15 13:23 UTC by jens.koerber
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-15 13:23:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jens.koerber 2000-11-15 13:23:41 UTC
dev86     ######################################unpacking of archive failed
on file /usr/lib/bcc/include/arch: cpio: unlink

Patch (bug(?)/changed behavior in fileutils 4.0.31)

--- linux-86/libc/Makefile.orig	Wed Nov 15 14:01:13 2000
+++ linux-86/libc/Makefile	Wed Nov 15 14:03:02 2000
@@ -78,7 +78,7 @@
 install_incl:
 	install -d $(BCCHOME)/include
 	rm -f $(BCCHOME)/include/linuxmt $(BCCHOME)/include/arch ||:
-	cp -pr include/* $(BCCHOME)/include
+	cp -pLr include/* $(BCCHOME)/include
 	if [ ! -f kinclude/Used ] ; \
 	then rm -rf $(BCCHOME)/include/linuxmt $(BCCHOME)/include/arch ; \
 	     ln -s $(ELKSSRC)/include/linuxmt $(BCCHOME)/include ; \

Comment 1 Florian La Roche 2001-01-06 10:55:09 UTC
the above must be some rpm failure and I don't think the patch above
fixes it.


Note You need to log in before you can comment on or make changes to this bug.